<!DOCTYPE html>
<html>
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1" charset="UTF-8">
    <title>Companion</title>
    <link href="../../../../../images/logo-icon.svg" rel="icon" type="image/svg">
    <script>var pathToRoot = "../../../../../";</script>
    <script>const storage = localStorage.getItem("dokka-dark-mode")
    if (storage == null) {
        const osDarkSchemePreferred = window.matchMedia && window.matchMedia('(prefers-color-scheme: dark)').matches
        if (osDarkSchemePreferred === true) {
            document.getElementsByTagName("html")[0].classList.add("theme-dark")
        }
    } else {
        const savedDarkMode = JSON.parse(storage)
        if(savedDarkMode === true) {
            document.getElementsByTagName("html")[0].classList.add("theme-dark")
        }
    }
    </script>
<script type="text/javascript" src="../../../../../scripts/sourceset_dependencies.js" async="async"></script>
<link href="../../../../../styles/style.css" rel="Stylesheet">
<link href="../../../../../styles/jetbrains-mono.css" rel="Stylesheet">
<link href="../../../../../styles/main.css" rel="Stylesheet">
<link href="../../../../../styles/prism.css" rel="Stylesheet">
<link href="../../../../../styles/logo-styles.css" rel="Stylesheet">
<script type="text/javascript" src="../../../../../scripts/clipboard.js" async="async"></script>
<script type="text/javascript" src="../../../../../scripts/navigation-loader.js" async="async"></script>
<script type="text/javascript" src="../../../../../scripts/platform-content-handler.js" async="async"></script>
<script type="text/javascript" src="../../../../../scripts/main.js" defer="defer"></script>
<script type="text/javascript" src="../../../../../scripts/prism.js" async="async"></script>
<script type="text/javascript" src="../../../../../scripts/symbol-parameters-wrapper_deferred.js" defer="defer"></script>
</head>
<body>
<div class="navigation-wrapper" id="navigation-wrapper">
    <div id="leftToggler"><span class="icon-toggler"></span></div>
    <div class="library-name">
            <a href="../../../../../index.html">
                    <span>bluconnect</span>
            </a>
    </div>
    <div>
    </div>
    <div class="pull-right d-flex">
        <div class="filter-section" id="filter-section">
                <button class="platform-tag platform-selector jvm-like" data-active="" data-filter=":bluconnect:dokkaHtml/release">androidJvm</button>
        </div>
        <button id="theme-toggle-button"><span id="theme-toggle"></span></button>
        <div id="searchBar"></div>
    </div>
</div>
<div id="container">
    <div id="leftColumn">
        <div id="sideMenu"></div>
    </div>
    <div id="main">
<div class="main-content" data-page-type="classlike" id="content" pageIds="bluconnect::com.aptener.bluconnect.client/ConnectionState.Failed.Companion///PointingToDeclaration//-1410038383">
  <div class="breadcrumbs"><a href="../../../../../index.html">bluconnect</a><span class="delimiter">/</span><a href="../../../index.html">com.aptener.bluconnect.client</a><span class="delimiter">/</span><a href="../../index.html">ConnectionState</a><span class="delimiter">/</span><a href="../index.html">Failed</a><span class="delimiter">/</span><span class="current">Companion</span></div>
  <div class="cover ">
    <h1 class="cover"><span><span>Companion</span></span></h1>
    <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">object </span><a href="index.html">Companion</a></div></div></div>
  </div>
  <div class="tabbedcontent">
    <div class="tabs-section" tabs-section="tabs-section"><button class="section-tab" data-active="" data-togglable="CONSTRUCTOR,TYPE,FUNCTION,PROPERTY">Members</button></div>
    <div class="tabs-section-body">
      <div data-togglable="PROPERTY">
        <h2 class="">Properties</h2>
        <div class="table"><a data-name="337573068%2FProperties%2F-1410038383" anchor-label="REASON_LINK_LOSS" id="337573068%2FProperties%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-r-e-a-s-o-n_-l-i-n-k_-l-o-s-s.html"><span><span>REASON_LINK_LOSS</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="337573068%2FProperties%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">const </span><span class="token keyword">val </span><a href="-r-e-a-s-o-n_-l-i-n-k_-l-o-s-s.html">REASON_LINK_LOSS</a><span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html">Int</a><span class="token operator"> = </span><span class="token constant">3</span></div><div class="brief "><p class="paragraph">This reason will only be reported when connection to the device was lost. Android will try to connect automatically.</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="276637906%2FProperties%2F-1410038383" anchor-label="REASON_NOT_SUPPORTED" id="276637906%2FProperties%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-r-e-a-s-o-n_-n-o-t_-s-u-p-p-o-r-t-e-d.html"><span><span>REASON_NOT_SUPPORTED</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="276637906%2FProperties%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">const </span><span class="token keyword">val </span><a href="-r-e-a-s-o-n_-n-o-t_-s-u-p-p-o-r-t-e-d.html">REASON_NOT_SUPPORTED</a><span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html">Int</a><span class="token operator"> = </span><span class="token constant">4</span></div><div class="brief "><p class="paragraph">The device does not hav required services.</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-568966319%2FProperties%2F-1410038383" anchor-label="REASON_SUCCESS" id="-568966319%2FProperties%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-r-e-a-s-o-n_-s-u-c-c-e-s-s.html"><span><span>REASON_SUCCESS</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-568966319%2FProperties%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">const </span><span class="token keyword">val </span><a href="-r-e-a-s-o-n_-s-u-c-c-e-s-s.html">REASON_SUCCESS</a><span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html">Int</a><span class="token operator"> = </span><span class="token constant">0</span></div><div class="brief "><p class="paragraph">The disconnection was initiated by the user.</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-323757716%2FProperties%2F-1410038383" anchor-label="REASON_TERMINATE_LOCAL_HOST" id="-323757716%2FProperties%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-r-e-a-s-o-n_-t-e-r-m-i-n-a-t-e_-l-o-c-a-l_-h-o-s-t.html"><span><span>REASON_TERMINATE_LOCAL_HOST</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-323757716%2FProperties%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">const </span><span class="token keyword">val </span><a href="-r-e-a-s-o-n_-t-e-r-m-i-n-a-t-e_-l-o-c-a-l_-h-o-s-t.html">REASON_TERMINATE_LOCAL_HOST</a><span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html">Int</a><span class="token operator"> = </span><span class="token constant">1</span></div><div class="brief "><p class="paragraph">The local device initiated disconnection.</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="512615050%2FProperties%2F-1410038383" anchor-label="REASON_TERMINATE_PEER_USER" id="512615050%2FProperties%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-r-e-a-s-o-n_-t-e-r-m-i-n-a-t-e_-p-e-e-r_-u-s-e-r.html"><span><span>REASON_TERMINATE_PEER_USER</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="512615050%2FProperties%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">const </span><span class="token keyword">val </span><a href="-r-e-a-s-o-n_-t-e-r-m-i-n-a-t-e_-p-e-e-r_-u-s-e-r.html">REASON_TERMINATE_PEER_USER</a><span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html">Int</a><span class="token operator"> = </span><span class="token constant">2</span></div><div class="brief "><p class="paragraph">The remote device initiated graceful disconnection.</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-1587455053%2FProperties%2F-1410038383" anchor-label="REASON_TIMEOUT" id="-1587455053%2FProperties%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-r-e-a-s-o-n_-t-i-m-e-o-u-t.html"><span><span>REASON_TIMEOUT</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1587455053%2FProperties%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">const </span><span class="token keyword">val </span><a href="-r-e-a-s-o-n_-t-i-m-e-o-u-t.html">REASON_TIMEOUT</a><span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html">Int</a><span class="token operator"> = </span><span class="token constant">10</span></div><div class="brief "><p class="paragraph">The connection timed out. The device might have reboot, is out of range, turned off or doesn't respond for another reason.</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="1813865706%2FProperties%2F-1410038383" anchor-label="REASON_UNKNOWN" id="1813865706%2FProperties%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-r-e-a-s-o-n_-u-n-k-n-o-w-n.html"><span><span>REASON_UNKNOWN</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1813865706%2FProperties%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">const </span><span class="token keyword">val </span><a href="-r-e-a-s-o-n_-u-n-k-n-o-w-n.html">REASON_UNKNOWN</a><span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html">Int</a></div><div class="brief "><p class="paragraph">The reason of disconnection is unknown.</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
      <div class="footer">
        <span class="go-to-top-icon"><a href="#content" id="go-to-top-link"></a></span><span>© 2024 Copyright</span><span
                class="pull-right"><span>Generated by </span><a
                href="https://github.com/Kotlin/dokka"><span>dokka</span><span class="padded-icon"></span></a></span>
      </div>
    </div>
</div>
</body>
</html>
